package leo.tbd.vc

import net.fabricmc.api.ModInitializer
import org.slf4j.LoggerFactory
import java.awt.Desktop
import java.net.URI
import java.util.regex.Pattern
import kotlin.math.log

object TBDVoiceChat : ModInitializer {
    private val urlRegex = Regex("""https://mc-audio\.tarkacore\.dev\?t=([^&]+)""")

	private val logger = LoggerFactory.getLogger("tbd-voicechat")

	override fun onInitialize() {
		logger.info("Initialized")
	}

	fun processGameMessage(message: String): Boolean =
		urlRegex.find(message).let {
			if (it != null) {
				val token = it.groupValues[1]
				openUri(URI("tbdvc://?t=$token"))
				true
			} else message.contains("CLIQUE ICI POUR REJOINDRE LE CHAT VOCAL")
		}
}
